Subject: [regext] Fwd: Re: AW: Side meeting about "Domain Suggestion APIs" - any interest?

From: Mario Loffredo <[email-masked]>
Date: Mon, 28 Oct 2019 10:31:37 +0100

At the time of the first implementation, it seemed to me quite natural 
to provide it as an optional RDAP capability.

As a matter of fact, I have also implemented alternative but not yet 
documented versions based on other transport protocols.

Definitively, I'm open to any proposal.

Cheers,

mario

Il 28/10/2019 09:35, Alexander Mayrhofer ha scritto:
>
> Noted, Mario! I didn’t think of RDAP as a „source“ interesting idea as 
> well..
>
> Best,
>
> Alex
>
> *Von:*regext <[email-masked]> *Im Auftrag von *Mario Loffredo
> *Gesendet:* Montag, 28. Oktober 2019 09:23
> *An:* Alexander Mayrhofer <[email-masked]>; 
> Registration Protocols Extensions <[email-masked]>
> *Betreff:* Re: [regext] Side meeting about "Domain Suggestion APIs" - 
> any interest?
>
> Hi Alex,
>
> I'm interested. At .it, we have already implemented a domain 
> suggestion capability in RDAP. At the moment, the implementation is 
> only a proof of concept but we are working to provide it as a stable 
> service to .it registrars.
>
> The white paper describing .it approach is available here 
> <https://www.iit.cnr.it/sites/default/files/IIT-06-2018.pdf>
>
> My preferred days for the side meeting at IETF 106 are Tuesday (late 
> in the afternoon), Wednesday and Thursday.
>
> Cheers,
>
> mario
>
> Il 28/10/2019 08:45, Alexander Mayrhofer ha scritto:
>
>     Hello everyone,
>
>       
>
>     we've recently done some work on a tool that suggests domain names to
>
>     registrants if their desired name is already taken. The primary focus
>
>     is now using it on our website, but a subsequent step would be
>
>     providing an API for registrars so that they can integrate it into
>
>     their websites as well. I'm looking at something REST/JSON based for
>
>     now.
>
>       
>
>     Since this is a pretty generic function, i was wondering whether
>
>     there's any interest in holding a side meeting at IETF 106 about the
>
>     standardization side of that topic? Or shall we do a slot in regext
>
>     itself? it's not perfectly in-charter, but it's obviously closely
>
>     related.
>
>       
>
>     feedback appreciated!
>
>       
>
>     best,
>
>     Alex
>
>       
>
>     _______________________________________________
>
>     regext mailing list
>
>     [email-masked]  <mailto:[email-masked]>
>
>     https://www.ietf.org/mailman/listinfo/regext
>
> -- 
> Dr. Mario Loffredo
> Servizi Internet e Sviluppo Tecnologico
> CNR - Istituto di Informatica e Telematica
> via G. Moruzzi 1, I-56124 PISA, Italy
> E-Mail:[email-masked]  <mailto:[email-masked]>
> Phone: +39.0503153497
> Mobile: +39.3462122240
> Web:http://www.iit.cnr.it/mario.loffredo

-- 
Dr. Mario Loffredo
Servizi Internet e Sviluppo Tecnologico
CNR - Istituto di Informatica e Telematica
via G. Moruzzi 1, I-56124 PISA, Italy
E-Mail:[email-masked]
Phone: +39.0503153497
Mobile: +39.3462122240
Web:http://www.iit.cnr.it/mario.loffredo